# Uses of Enum Class
javax.xml.catalog.CatalogResolver.NotFoundAction

Packages that use CatalogResolver.NotFoundAction
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.

## Uses of CatalogResolver.NotFoundAction in javax.xml.catalog

Subclasses with type arguments of type CatalogResolver.NotFoundAction in javax.xml.catalog
Modifier and Type
Class
Description
`static enum`
`CatalogResolver.NotFoundAction`
Defines the actions that a CatalogResolver may take when it is unable to resolve an external reference.
Methods in javax.xml.catalog that return CatalogResolver.NotFoundAction
Modifier and Type
Method
Description
`static CatalogResolver.NotFoundAction`
CatalogResolver.NotFoundAction.`getType(String resolve)`
Returns the action type mapped to the specified `resolve` property.
`static CatalogResolver.NotFoundAction`
CatalogResolver.NotFoundAction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CatalogResolver.NotFoundAction[]`
CatalogResolver.NotFoundAction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.xml.catalog with parameters of type CatalogResolver.NotFoundAction
Modifier and Type
Method
Description
`static CatalogResolver`
CatalogManager.`catalogResolver(Catalog catalog, CatalogResolver.NotFoundAction action)`
Creates a `CatalogResolver` that resolves external references with the given `catalog` and `action` type that determines the behavior when unable to resolve a reference.